;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo)

(defun format-doc (s &key (format *default-format*))

"Function
   format-doc (s &key :format)
Arguments
   A string to be formatted
Values
   Doesn't return anything. Only used for its side effects.
Purpose
   For a future use. It will allow to choose between a basic, a tex or an html
   formatting, when generating the present documentation."

  (declare (ignore format))
  (concatenate 'string s (make-string 3 :initial-element #\newline)) )