;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defun check-dur (dur)
  (let ((cr (make-string 1 :initial-element #\newline)))
    (cond
     ((equal dur :abort) dur)
     ((null (not-a-dur-p dur)) dur)
     ((equal dur :help)
      (specialized-help :dur)
      (write-string cr)
      (write-string *err-prompt*)
      (check-dur (read)) )
     (t
      (write-string (format nil *dur-keyword-error* dur))
      (write-string cr)
      (write-string *err-prompt*)
      (check-dur (read)) ) ) ) )